---
title: Export
---

<p>Modul vhodný hlavně pokud plánujete integraci STM na web. Nabízí sice i primitivní export databáze,
   ale pro zálohování databáze raději použijte příslušné nástroje.</p>

<h2>Dostupné akce</h2>
<ul>
    <li><strong>Web export</strong></li>
    <li><strong>Databázový export</strong></li>
</ul>

<h2>Web export</h2>
<p>Výstupem z toho exportu je <strong>PHP kód</strong>, který slouží k načtení objektů reprezentujících 
   kluby, týmy, soutěže, zápasy, osoby. Objekty pak může použít v <a href="cs/pluginy/sablony.html">šablonách</a>,
   mimochodem i šablony zde na webu obsahují podobné PHP kódy, ale v čem je rozdíl? V STM si můžete např. zvolit
   i konkrétní tým, takže už se do kódu automaticky doplní ID týmu. Asi není třeba připomínat, že míchat
   tyto kódy se šablonami do jednoho souboru by byla pěkná prasárna (MVC se docela hodí).
</p>

<h2>Databázový export</h2>
<p>Název je trochu zavádějící, ale v tomto exportu můžete vytvořit datové soubory, 
   které můžete použít pro <a href="<%= webPrefix %>/help/module/import.html">import</a> do aplikace STM.
   V "STM formátu" lze exportovat seznamy týmů, klubů, soutěží, zápasů a uživatelů.
</p>

<h2>Které uživatelské skupiny mají přístup?</h2>
<ul>
    <li>Pouze <strong>administrátor</strong></li>
</ul>
